<!--
  - SPDX-FileCopyrightText: 2023 Nextcloud GmbH and Nextcloud contributors
  - SPDX-License-Identifier: AGPL-3.0-or-later
-->

<template>
	<WizardPage title="Une plateforme de collaboration qui vous donne le contrôle.">
		<p>Un espace Framaspace est un environnement de travail collaboratif dans le «&nbsp;cloud&nbsp;». Dit autrement, il s’agit d’une application sur internet, accessible par ordinateur ou smartphone, vous permettant de gérer&nbsp;:</p>
		<div class="features_grid">
			<Card title="Fichiers"
				subtitle="De tous types et que vous pouvez partager à loisir">
				<FileDocument :size="20" />
			</Card>
			<Card title="Agendas"
				subtitle="Qu'ils soient publics ou privés">
				<CalendarToday :size="20" />
			</Card>
			<Card title="Contacts"
				subtitle="Synchronisés sur votre smartphone">
				<Contacts :size="20" />
			</Card>
			<Card title="Photos"
				subtitle="Partageables sous forme d’albums">
				<ImageIcon :size="20" />
			</Card>
			<Card title="Édition collaborative de documents" subtitle="Textes, feuilles de calcul, présentations">
				<AccountMultiple :size="20" />
			</Card>
			<Card title="Discussions et visioconférences"
				subtitle="Jusqu’à une dizaine de personnes">
				<VideoIcon :size="20" />
			</Card>
			<Card title="Documentation" subtitle="En mode « wiki »">
				<FileQuestion :size="20" />
			</Card>
			<Card title="Gestion de projets" subtitle="Liste de tâches ou bien tableau Kanban">
				<CheckboxMarkedCircleAutoOutline :size="20" />
			</Card>
		</div>
	</WizardPage>
</template>

<script setup lang="ts">
import FileDocument from 'vue-material-design-icons/FileDocument.vue'
import CalendarToday from 'vue-material-design-icons/CalendarToday.vue'
import Contacts from 'vue-material-design-icons/Contacts.vue'
import ImageIcon from 'vue-material-design-icons/Image.vue'
import FileQuestion from 'vue-material-design-icons/FileQuestion.vue'
import VideoIcon from 'vue-material-design-icons/Video.vue'
import CheckboxMarkedCircleAutoOutline from 'vue-material-design-icons/CheckboxMarkedCircleAutoOutline.vue'
import AccountMultiple from 'vue-material-design-icons/AccountMultiple.vue'

import Card from '../Card.vue'
import WizardPage from '../WizardPage.vue'

</script>
<style>
.features_grid {
	display: grid;
	gap: 0.75rem;
	grid-template-columns: repeat(2, 1fr);
	grid-template-rows: repeat(3, 1fr);

}
</style>
